Subject: Re: bug#49516: [core-updates] glibc-2.31 patches fail to apply
From: Chris Marusich <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 21 Jul 2021 16:04:40 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi!
>
> Chris Marusich <[email-masked]> skribis:
>
>> As an aside, when do we remove old versions of glibc?
>
> Good question.  I’d say it’s enough to keep 3 versions in total.
> Currently the main (only?) use case for these is when computing locale
> data via the ‘locale-libcs’ field of operating system definitions.
>
> Thoughts?

3 seems fine to me.  I suppose if they are particularly important for
some reason, an old version could be moved to the Guix-Past channel, but
I guess in most cases we would just remove them and move forward.

>> From ef169adea6f9ca971e22845b839511b015cbc76c Mon Sep 17 00:00:00 2001
>> From: Chris Marusich <[email-masked]>
>> Date: Sat, 10 Jul 2021 16:49:49 -0700
>> Subject: [PATCH] gnu: glibc-2.31: Restore patches.
>>
>> Commit 87961fc965b96ac0c7a5909ac2faab2d023b5339 inadvertently modified the
>> patch set for glibc-2.31.  This change restores the original patch set.
>>
>> Fixes: <https://bugs.gnu.org/49516>.
>>
>> * gnu/packages/base.scm (glibc-2.31) [source]: Use the same patches as glibc,
>> but replace glibc-hurd-clock_gettime_monotonic.patch with
>> glibc-2.31-hurd-clock_gettime_monotonic.patch, and add
>> glibc-hurd-signal-sa-siginfo.patch.
>> * gnu/packages/patches/glibc-2.31-hurd-clock_gettime_monotonic.patch: Add it.
>> * gnu/packages/patches/glibc-hurd-signal-sa-siginfo.patch: Add it.
>> * gnu/local.mk (dist_patch_DATA): Adjust accordingly.
>
> LGTM, thanks!
>
> Ludo’.

Thank you for taking a look!  I've committed this in
93a5e89008af440655527d03d62d4726683a89ac.  I'll close this report now.

-- 
Chris